﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VeryDOC;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            string strPDFFile = appPath + "\\test1.emf";
            string strOutFile = appPath + "\\_test1_C#.pdf";
            string strLicenseKey = "XXXX-XXXX-XXXX-XXXX";

            string strCmd = "emf2vec -$ " + strLicenseKey + " \"" + strPDFFile + "\" \"" + strOutFile + "\"";
            
            MessageBox.Show(strCmd);

            System.Type VeryDOCType = System.Type.GetTypeFromProgID("VeryDOC.EMF2VectorCOM");
            VeryDOC.EMF2VectorCOM VeryDOCCom = (VeryDOC.EMF2VectorCOM)System.Activator.CreateInstance(VeryDOCType);
            VeryDOCCom.com_SetLicenseCode(strLicenseKey);
            int nReturn = VeryDOCCom.com_EMF2VectorCmd(strCmd);
            MessageBox.Show("Converter finished.");
        }
    }
}
